> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Player Recent Matches

> Recent fixtures for the player.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/player/{}/recent
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/player/{}/recent:
    get:
      tags:
        - Players
      summary: Player Recent Matches
      description: Recent fixtures for the player.
      operationId: player_recent
      parameters:
        - name: playerId
          in: path
          required: true
          description: Player identifier.
          schema:
            type: string
            example: '28181'
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: object
              example:
                all:
                  - homeTeamShortName: England
                    awayTeamShortName: India
                    homeTeamID: '490'
                    awayTeamID: '25'
                    matchDate: '1784419200000'
                    matchDateFormat: 19/07/2026
                    matchID: '95162'
                    matchType: ODI
                    opposition: England vs India
                    battingStats: 74(60)
                    bowlingStats: DNB
                    homeTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/ENG.webp?_sxcdn=20260831
                    awayTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                  - homeTeamShortName: England
                    awayTeamShortName: India
                    homeTeamID: '490'
                    awayTeamID: '25'
                    matchDate: '1784160000000'
                    matchDateFormat: 16/07/2026
                    matchID: '95161'
                    matchType: ODI
                    opposition: England vs India
                    battingStats: 65(66)
                    bowlingStats: DNB
                    homeTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/ENG.webp?_sxcdn=20260831
                    awayTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                t20:
                  - homeTeamShortName: India
                    awayTeamShortName: South Africa
                    homeTeamID: null
                    awayTeamID: null
                    matchDate: '1719619200000'
                    matchDateFormat: 29/06/2024
                    matchID: '72881'
                    matchType: T20
                    opposition: India vs South Africa
                    battingStats: 76(59)
                    bowlingStats: DNB
                  - homeTeamShortName: India
                    awayTeamShortName: England
                    homeTeamID: null
                    awayTeamID: null
                    matchDate: '1719446400000'
                    matchDateFormat: 27/06/2024
                    matchID: '72880'
                    matchType: T20
                    opposition: India vs England
                    battingStats: 9(9)
                    bowlingStats: DNB
                odi:
                  - homeTeamShortName: England
                    awayTeamShortName: India
                    homeTeamID: '490'
                    awayTeamID: '25'
                    matchDate: '1784419200000'
                    matchDateFormat: 19/07/2026
                    matchID: '95162'
                    matchType: ODI
                    opposition: England vs India
                    battingStats: 74(60)
                    bowlingStats: DNB
                    homeTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/ENG.webp?_sxcdn=20260831
                    awayTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                  - homeTeamShortName: England
                    awayTeamShortName: India
                    homeTeamID: '490'
                    awayTeamID: '25'
                    matchDate: '1784160000000'
                    matchDateFormat: 16/07/2026
                    matchID: '95161'
                    matchType: ODI
                    opposition: England vs India
                    battingStats: 65(66)
                    bowlingStats: DNB
                    homeTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/ENG.webp?_sxcdn=20260831
                    awayTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2025/09/IND.webp?_sxcdn=20260831
                test:
                  - homeTeamShortName: India
                    awayTeamShortName: Australia
                    homeTeamID: null
                    awayTeamID: null
                    matchDate: '1735776000000'
                    matchDateFormat: 02/01/2025
                    matchID: '74799'
                    matchType: Tests
                    opposition: India vs Australia
                    battingStats: 17(69) & 6(12)
                    bowlingStats: DNB
                  - homeTeamShortName: India
                    awayTeamShortName: Australia
                    homeTeamID: null
                    awayTeamID: null
                    matchDate: '1735084800000'
                    matchDateFormat: 25/12/2024
                    matchID: '74798'
                    matchType: Tests
                    opposition: India vs Australia
                    battingStats: 36(86) & 5(29)
                    bowlingStats: DNB
                t20Domestic:
                  - homeTeamShortName: Royal Challengers Bengaluru
                    awayTeamShortName: Gujarat Titans
                    homeTeamID: '646'
                    awayTeamID: '123216'
                    matchDate: '1780185600000'
                    matchDateFormat: 31/05/2026
                    matchID: '96877'
                    matchType: T20s
                    opposition: Royal Challengers Bengaluru vs Gujarat Titans
                    battingStats: 75(42)*
                    bowlingStats: DNB
                    homeTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2023/06/Rectangle-3348-2023-06-07T112223.720.png?_sxcdn=20260831
                    awayTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2022/03/Gujarat-Cricket-TeamLogo.png?_sxcdn=20260831
                  - homeTeamShortName: Royal Challengers Bengaluru
                    awayTeamShortName: Gujarat Titans
                    homeTeamID: '646'
                    awayTeamID: '123216'
                    matchDate: '1779753600000'
                    matchDateFormat: 26/05/2026
                    matchID: '96874'
                    matchType: T20s
                    opposition: Royal Challengers Bengaluru vs Gujarat Titans
                    battingStats: 43(25)
                    bowlingStats: DNB
                    homeTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2023/06/Rectangle-3348-2023-06-07T112223.720.png?_sxcdn=20260831
                    awayTeamImage: >-
                      https://cdn.sportxapi.com/assets/uploads/2022/03/Gujarat-Cricket-TeamLogo.png?_sxcdn=20260831
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your SportXAPI secret key from the customer dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.